diff --git a/main/Cumulus/drivers/linux/v3/Makefile b/main/Cumulus/drivers/linux/v3/Makefile
index 2578612e6..05ea5c392 100644
--- a/main/Cumulus/drivers/linux/v3/Makefile
+++ b/main/Cumulus/drivers/linux/v3/Makefile
@@ -612,6 +612,10 @@ ifneq ($(shell grep -s "devlink_param" $(LINUXSRC)/include/net/devlink.h),)
   DISTRO_CFLAG += -DHAVE_DEVLINK_PARAM
 endif

+ifneq ($(shell grep -s -A 1 "eswitch_mode_set" $(LINUXSRC)/include/net/devlink.h | grep -o "netlink_ext_ack"),)
+  DISTRO_CFLAG += -DHAVE_ESWITCH_MODE_SET_EXTACK
+endif
+
 # Check if the file exists or not
 ifneq ($(shell grep -s "switchdev_ops" $(LINUXSRC)/include/net/switchdev.h),)
   DISTRO_CFLAG += -DHAVE_SWITCHDEV
diff --git a/main/Cumulus/drivers/linux/v3/bnxt_vfr.c b/main/Cumulus/drivers/linux/v3/bnxt_vfr.c
index 12ff0364e..3eb10cb53 100644
--- a/main/Cumulus/drivers/linux/v3/bnxt_vfr.c
+++ b/main/Cumulus/drivers/linux/v3/bnxt_vfr.c
@@ -567,7 +567,12 @@ int bnxt_dl_eswitch_mode_get(struct devlink *devlink, u16 *mode)
        return 0;
 }

+#ifdef HAVE_ESWITCH_MODE_SET_EXTACK
+int bnxt_dl_eswitch_mode_set(struct devlink *devlink, u16 mode,
+                            struct netlink_ext_ack *extack)
+#else
 int bnxt_dl_eswitch_mode_set(struct devlink *devlink, u16 mode)
+#endif
 {
        struct bnxt *bp = bnxt_get_bp_from_dl(devlink);
        int rc = 0;
diff --git a/main/Cumulus/drivers/linux/v3/bnxt_vfr.h b/main/Cumulus/drivers/linux/v3/bnxt_vfr.h
index eaa060cbd..7daebda77 100644
--- a/main/Cumulus/drivers/linux/v3/bnxt_vfr.h
+++ b/main/Cumulus/drivers/linux/v3/bnxt_vfr.h
@@ -30,7 +30,12 @@ static inline u16 bnxt_vf_rep_get_fid(struct net_device *dev)

 bool bnxt_dev_is_vf_rep(struct net_device *dev);
 int bnxt_dl_eswitch_mode_get(struct devlink *devlink, u16 *mode);
+#ifdef HAVE_ESWITCH_MODE_SET_EXTACK
+int bnxt_dl_eswitch_mode_set(struct devlink *devlink, u16 mode,
+                            struct netlink_ext_ack *extack);
+#else
 int bnxt_dl_eswitch_mode_set(struct devlink *devlink, u16 mode);
+#endif

 #else

--
2.21.0

